Bug 667763 (CVE-2010-4644)

Summary: CVE-2010-4644 Subversion: DoS (memory consumption) by processing blame or log -g requests on certain files
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bressers, jorton, mjc, vanmeeuwen+fedora, ville.skytta, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101104,reported=20110102,source=oss-security,impact=moderate,cvss2=4/AV:N/AC:L/Au:S/C:N/I:N/A:P/,rhel-4/subversion=notaffected,rhel-5/subversion=affected,rhel-6/subversion=affected/cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-13/subversion=affected/cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 13:36:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 667786, 672676, 672677, 672678, 672679, 812250, 893081    
Bug Blocks:    

Description Jan Lieskovsky 2011-01-06 17:53:56 UTC
A server-side memory leak in Subversion before v1.6.15
allowed remote attackers to cause a denial of service
(memory consumption and daemon outage or crash) via
Subversion client "blame" or "log" operations performed 
on certain repository files, when the -g option (request 
to display additional merge history for the file) was used.

References:
[1] http://svn.haxx.se/dev/archive-2010-11/0102.shtml
[2] http://svn.apache.org/repos/asf/subversion/tags/1.6.15/CHANGES

Upstream changeset:
[3] http://svn.apache.org/viewvc?view=revision&revision=1032808

Public PoC:
[4] http://svn.haxx.se/dev/archive-2010-11/0163.shtml

Comment 1 Jan Lieskovsky 2011-01-06 18:00:20 UTC
This issue did not affect the versions of the subversion package,
as shipped with Red Hat Enterprise Linux 4 and 5, as they did not
support -g / --use-merge-history options yet.

This issue affects the version of the subversion package,
as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of the subversion package,
as shipped with Fedora release of 13.

The subversion-1.6.15-1.fc14 package for Fedora-14, currently
present in -testing repository already contains fix for this issue.

Comment 4 Jan Lieskovsky 2011-01-06 18:56:14 UTC
Created subversion tracking bugs for this issue

Affects: fedora-13 [bug 667786]

Comment 6 Josh Bressers 2011-01-25 20:06:59 UTC
Created subversion tracking bugs for this issue

Affects: fedora-13 [bug 667786]

Comment 7 errata-xmlrpc 2011-02-15 19:02:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0257 https://rhn.redhat.com/errata/RHSA-2011-0257.html

Comment 8 errata-xmlrpc 2011-02-15 19:18:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0258 https://rhn.redhat.com/errata/RHSA-2011-0258.html